## org.eclipse.emf.ecore.util
Interface BasicExtendedMetaData.EClassifierExtendedMetaData

All Known Implementing Classes:
  BasicExtendedMetaData.EClassExtendedMetaDataImpl, BasicExtendedMetaData.EDataTypeExtendedMetaDataImpl

Enclosing class:
  BasicExtendedMetaData

    public static interface BasicExtendedMetaData.EClassifierExtendedMetaData

Nested Class Summary
`static interface` `BasicExtendedMetaData.EClassifierExtendedMetaData.Holder`

Method Summary
`EDataType` `getBaseType()`
`int` `getContentKind()`
`int` `getDerivationKind()`
`java.util.List<java.lang.String>` `getEnumerationFacet()`
`int` `getFractionDigitsFacet()`
`EDataType` `getItemType()`
`int` `getLengthFacet()`
`java.lang.String` `getMaxExclusiveFacet()`
`java.lang.String` `getMaxInclusiveFacet()`
`int` `getMaxLengthFacet()`
`java.util.List<EDataType>` `getMemberTypes()`
`java.lang.String` `getMinExclusiveFacet()`
`java.lang.String` `getMinInclusiveFacet()`
`int` `getMinLengthFacet()`
`java.lang.String` `getName()`
`java.util.List<java.lang.String>` `getPatternFacet()`
`int` `getTotalDigitsFacet()`
`int` `getWhiteSpaceFacet()`
`void` `setBaseType(EDataType baseType)`
`void` `setContentKind(int kind)`
`void` `setEnumerationFacet(java.util.List<java.lang.String> literals)`
`void` `setFractionDigitsFacet(int digits)`
`void` `setItemType(EDataType itemType)`
`void` `setLengthFacet(int length)`
`void` `setMaxExclusiveFacet(java.lang.String literal)`
`void` `setMaxInclusiveFacet(java.lang.String literal)`
`void` `setMaxLengthFacet(int length)`
`void` `setMemberTypes(java.util.List<EDataType> memberTypes)`
`void` `setMinExclusiveFacet(java.lang.String literal)`
`void` `setMinInclusiveFacet(java.lang.String literal)`
`void` `setMinLengthFacet(int length)`
`void` `setName(java.lang.String name)`
`void` `setPatternFacet(java.util.List<java.lang.String> literals)`
`void` `setTotalDigitsFacet(int digits)`
`void` `setWhiteSpaceFacet(int whiteSpace)`

Method Detail

### getName

    java.lang.String getName()

### setName

    void setName(java.lang.String name)

### getContentKind

    int getContentKind()

### setContentKind

    void setContentKind(int kind)

### getDerivationKind

    int getDerivationKind()

### getBaseType

    EDataType getBaseType()

### setBaseType

    void setBaseType(EDataType baseType)

### getItemType

    EDataType getItemType()

### setItemType

    void setItemType(EDataType itemType)

### getMemberTypes

    java.util.List<EDataType> getMemberTypes()

### setMemberTypes

    void setMemberTypes(java.util.List<EDataType> memberTypes)

### getWhiteSpaceFacet

    int getWhiteSpaceFacet()

### setWhiteSpaceFacet

    void setWhiteSpaceFacet(int whiteSpace)

### getEnumerationFacet

    java.util.List<java.lang.String> getEnumerationFacet()

### setEnumerationFacet

    void setEnumerationFacet(java.util.List<java.lang.String> literals)

### getPatternFacet

    java.util.List<java.lang.String> getPatternFacet()

### setPatternFacet

    void setPatternFacet(java.util.List<java.lang.String> literals)

### getTotalDigitsFacet

    int getTotalDigitsFacet()

### setTotalDigitsFacet

    void setTotalDigitsFacet(int digits)

### getFractionDigitsFacet

    int getFractionDigitsFacet()

### setFractionDigitsFacet

    void setFractionDigitsFacet(int digits)

### getLengthFacet

    int getLengthFacet()

### setLengthFacet

    void setLengthFacet(int length)

### getMinLengthFacet

    int getMinLengthFacet()

### setMinLengthFacet

    void setMinLengthFacet(int length)

### getMaxLengthFacet

    int getMaxLengthFacet()

### setMaxLengthFacet

    void setMaxLengthFacet(int length)

### getMinExclusiveFacet

    java.lang.String getMinExclusiveFacet()

### setMinExclusiveFacet

    void setMinExclusiveFacet(java.lang.String literal)

### getMaxExclusiveFacet

    java.lang.String getMaxExclusiveFacet()

### setMaxExclusiveFacet

    void setMaxExclusiveFacet(java.lang.String literal)

### getMinInclusiveFacet

    java.lang.String getMinInclusiveFacet()

### setMinInclusiveFacet

    void setMinInclusiveFacet(java.lang.String literal)

### getMaxInclusiveFacet

    java.lang.String getMaxInclusiveFacet()

### setMaxInclusiveFacet

    void setMaxInclusiveFacet(java.lang.String literal)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.